# class GenPointer | Templated pointer that can be inserted in a list. More...
Full name | `TelEngine::GenPointer`
Definition | `#include <yateclass.h>`
Template form | GenPointer<class Obj = GenObject>
Inherits | TelEngine::GenObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline GenPointer ()
- inline GenPointer (const GenPointer& value)
- inline GenPointer (Obj* object)
- inline GenPointer& operator= (const GenPointer& value)
- inline GenPointer& operator= (Obj* object)
- inline operator Obj* () const
- inline Obj* operator-> () const
- inline Obj& operator* () const

## Detailed Description

inline GenPointer () | ### GenPointer

Default constructor - creates a null pointer

inline GenPointer (const GenPointer& value) | ### GenPointer

Copy constructor

Parameters:

value | Original GenPointer

inline GenPointer (Obj* object) | ### GenPointer

Constructs an initialized pointer

Parameters:

object | Pointer to object

inline GenPointer& operator= (const GenPointer& value) | ### operator=

Assignment from another GenPointer

inline GenPointer& operator= (Obj* object) | ### operator=

Assignment from regular pointer

inline operator Obj* () | ### operator Obj*

[const]

Conversion to regular pointer operator

Returns: The stored pointer

inline Obj* operator-> () | ### operator->

[const]

Member access operator

inline Obj& operator* () | ### operator*

[const]

Dereferencing operator

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.